Debian Bug report logs - #699010
ITP: power -- Python module for monitoring power status

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Changwoo Ryu <cwryu@debian.org>

Date: Sat, 26 Jan 2013 08:15:01 UTC

Owned by: Changwoo Ryu <cwryu@debian.org>

Severity: wishlist

Fixed in version power/1.1~git20121207+dfsg-1

Done: Changwoo Ryu <cwryu@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699010; Package wnpp. (Sat, 26 Jan 2013 08:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
New Bug report received and forwarded. Copy sent to wnpp@debian.org. (Sat, 26 Jan 2013 08:15:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: "submit@bugs.debian.org" <submit@bugs.debian.org>
Subject: ITP: power -- Python module for monitoring power status
Date: Sat, 26 Jan 2013 17:12:42 +0900
Package: wnpp
Owner: Changwoo Ryu <cwryu@debian.org>
Severity: wishlist

* Package name    : power
  Version         : 1.1
  Upstream Author : Ilya Kulakov <kulakov.ilya@gmail.com>
* URL             : https://github.com/GreatFruitOmsk/Power
* License         : MIT/X
  Programming Lang: Python
  Description     : Python module for monitoring power status

Python module for reading system power status information.






Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Changwoo Ryu <cwryu@debian.org>:
Bug#699010; Package wnpp. (Sat, 26 Jan 2013 09:06:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Salvatore Bonaccorso <carnil@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Changwoo Ryu <cwryu@debian.org>. (Sat, 26 Jan 2013 09:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 699010@bugs.debian.org (full text, mbox):

From: Salvatore Bonaccorso <carnil@debian.org>
To: Changwoo Ryu <cwryu@debian.org>, 699010@bugs.debian.org
Subject: Re: Bug#699010: ITP: power -- Python module for monitoring power status
Date: Sat, 26 Jan 2013 10:02:11 +0100
Hi

On Sat, Jan 26, 2013 at 05:12:42PM +0900, Changwoo Ryu wrote:
> Package: wnpp
> Owner: Changwoo Ryu <cwryu@debian.org>
> Severity: wishlist
> 
> * Package name    : power
>   Version         : 1.1
>   Upstream Author : Ilya Kulakov <kulakov.ilya@gmail.com>
> * URL             : https://github.com/GreatFruitOmsk/Power
> * License         : MIT/X
>   Programming Lang: Python
>   Description     : Python module for monitoring power status
> 
> Python module for reading system power status information.

Cannot say much about it as I'm not part of the Python module
packaging group. But try to avoid this ('power') as generic name.
Instead please name the package at least python-power. See [1] for a
quideline of package names for python modules.

 [1]: http://www.debian.org/doc/packaging-manuals/python-policy/ch-module_packages.html#s-package_names

Regards,
Salvatore



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#699010; Package wnpp. (Sat, 26 Jan 2013 09:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Changwoo Ryu <cwryu@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 26 Jan 2013 09:24:06 GMT) Full text and rfc822 format available.

Message #15 received at 699010@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: Salvatore Bonaccorso <carnil@debian.org>
Cc: 699010@bugs.debian.org
Subject: Re: Bug#699010: ITP: power -- Python module for monitoring power status
Date: Sat, 26 Jan 2013 18:21:01 +0900
2013/1/26 Salvatore Bonaccorso <carnil@debian.org>:

> Cannot say much about it as I'm not part of the Python module
> packaging group. But try to avoid this ('power') as generic name.
> Instead please name the package at least python-power. See [1] for a
> quideline of package names for python modules.

Obviously binary package will be named as python-power. But there is
no need to change the upstream source package name as long as there's
no conflict.



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sun, 03 Feb 2013 07:09:03 GMT) Full text and rfc822 format available.

Reply sent to Changwoo Ryu <cwryu@debian.org>:
You have taken responsibility. (Sun, 07 Apr 2013 23:03:20 GMT) Full text and rfc822 format available.

Notification sent to Changwoo Ryu <cwryu@debian.org>:
Bug acknowledged by developer. (Sun, 07 Apr 2013 23:03:20 GMT) Full text and rfc822 format available.

Message #22 received at 699010-close@bugs.debian.org (full text, mbox):

From: Changwoo Ryu <cwryu@debian.org>
To: 699010-close@bugs.debian.org
Subject: Bug#699010: fixed in power 1.1~git20121207+dfsg-1
Date: Sun, 07 Apr 2013 23:00:11 +0000
Source: power
Source-Version: 1.1~git20121207+dfsg-1

We believe that the bug you reported is fixed in the latest version of
power, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 699010@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Changwoo Ryu <cwryu@debian.org> (supplier of updated power package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 03 Feb 2013 03:50:16 +0900
Source: power
Binary: python-power
Architecture: source all
Version: 1.1~git20121207+dfsg-1
Distribution: unstable
Urgency: low
Maintainer: Changwoo Ryu <cwryu@debian.org>
Changed-By: Changwoo Ryu <cwryu@debian.org>
Description: 
 python-power - Python module to get get power and battery status
Closes: 699010
Changes: 
 power (1.1~git20121207+dfsg-1) unstable; urgency=low
 .
   * Initial release (Closes: #699010)
Checksums-Sha1: 
 e6bd11da53eb9bab01aa12b6193a01c6825e3a3a 1330 power_1.1~git20121207+dfsg-1.dsc
 8705c0a75ac55e2a4d1949aa9f71e2d197c7c20c 8292 power_1.1~git20121207+dfsg.orig.tar.gz
 5bab9d12dc3bd511921f8dc07311ca60811dfb9c 1792 power_1.1~git20121207+dfsg-1.debian.tar.gz
 5509443b32ffd49ede1d98f26fe293bf005c44eb 11046 python-power_1.1~git20121207+dfsg-1_all.deb
Checksums-Sha256: 
 67c77a8c515be27d2769445d04a306e61cb2924629d9bb3ff223768650ec40eb 1330 power_1.1~git20121207+dfsg-1.dsc
 1b53e043645a31deb9f12cebbabf5cc91038979ace7b277541902f07cbfb02a7 8292 power_1.1~git20121207+dfsg.orig.tar.gz
 910d101acc4851616b5ae64c8a213a70e7b90b35420a51e24a7cd879dd3b453c 1792 power_1.1~git20121207+dfsg-1.debian.tar.gz
 3022502c7447aa88adfa3116965452d795d8f6899df841f8e572e655518ffd66 11046 python-power_1.1~git20121207+dfsg-1_all.deb
Files: 
 6e964c1d356ab467957dbc043e4390fc 1330 python optional power_1.1~git20121207+dfsg-1.dsc
 04aace26065861d033f7fca3c87386b4 8292 python optional power_1.1~git20121207+dfsg.orig.tar.gz
 bc39ff3dcb87bcf823f37990db490630 1792 python optional power_1.1~git20121207+dfsg-1.debian.tar.gz
 bfa7d80daa03d189f0bb3f980ad935d9 11046 python optional python-power_1.1~git20121207+dfsg-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlENYj0ACgkQAbRzNODUnpmLXACglpQpyxvjaISnsmqAAtWCOJyN
ZSAAnRofN/w8Sv+msB7nHOoQC7KEvmxH
=6GIm
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 May 2013 07:27:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 23:32:17 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.